package nuxeoautomationtest;

import java.util.Set;
import org.nuxeo.ecm.automation.client.jaxrs.impl.HttpAutomationClient;
import org.nuxeo.ecm.automation.client.model.Documents;
import org.nuxeo.ecm.automation.client.Session;
import org.nuxeo.ecm.automation.client.model.FileBlob;
import org.nuxeo.ecm.automation.client.model.PropertyMap;

public class NuxeoAutomationTest {

    public static void main(String[] args) throws Exception {
        HttpAutomationClient client
                = new HttpAutomationClient(
                        "http://msv.wara.de:8888/nuxeo/site/automation");
        Session session = client.getSession("Administrator", "baw,dsf!");
        Documents docs = (Documents) session.newRequest("Document.Query").set("query", "SELECT * FROM Document WHERE ecm:tag LIKE 'fooo%'").execute();
        System.out.println(docs);
        System.out.println(docs.get(0).getTitle());
        System.out.println(docs.get(0).getPath());
        System.out.println(docs.get(0).getRepository());

        // get the file content property
        PropertyMap map = docs.get(0).getProperties().getMap("file:files");

        System.out.println(map);
     
        Set keys = map.getKeys();
        
        System.out.println("props:");
        
        for(Object o: keys){
            System.out.println(o.toString());
        }
        
        // get the data URL
        //String path = map.getString("data");
        
        // download the file from its remote location
        //FileBlob blob = (FileBlob) session.getFile(path);
        
//                // Fetch the root of Nuxeo repository
//                Document root = (Document) session.newRequest("Document.Fetch").set("value", "/").execute();
//                
//                System.out.println(root.getPath());
                
        client.shutdown();
    }

}
